"use strict";
import { khcAlert } from '../../../component/alert/khcAlert.js'
import { fullMap } from '../../../fullMap.js';
import {config} from "../../../config.js";
import { util } from "../../../util/util.js";
import {httpUtil} from "../../../util/httpUtil.js";
import {khcToastr} from "../../../component/alert/khcToastr.js";
let functionMap=new Map();// 使用 Map 来存储多个函数。每个函数都通过 set 方法添加到 Map 中，键是函数名，值是对应的函数。
export function main(jsonConfig) {
    try {
        functionMap.get(jsonConfig.button_method).apply(jsonConfig);
    } catch (error) {
        khcAlert.showSystemError(error.message);
        console.log(error);
    }
}

function downQRCode() {
    let jsonConfig=this;
    let component = fullMap.getObj(jsonConfig.objID);
    let formValue = component.getFormValue();
    if(formValue['qr_code_image'].length>0){
        Swal.fire(
            '下载成功',
            formValue['qr_code_image'][0]['realFileName'],
            'success'
        )
        let downExcelUrl = util.getFileUrl(formValue['qr_code_image'][0]);
        window.open(downExcelUrl);
    }else{
        khcToastr.showErrorMessage('未生成二维码')
    }
}
functionMap.set('downQRCode', downQRCode);// 将函数添加到 Map 中